## NAME

v.in.poly - Create a vector file of polygons centered on given locations
(GRASS Vector Program)

## SYNOPSIS

v.in.poly
v.in.poly help
v.in.poly [ -t] [input=name] vect=name radius=value [segments=value]

## DESCRIPTION

This program creates a vector map of polygons of specified radius around center points which may be input as coordinate pairs from a file or from stdin.

## COMMAND LINE OPTIONS

Flags

-t
  Do not automatically build topology for the new map

  Parameters

input=name
  Name of input file (omit or use - for input from stdin)
  default: - (stdin)
vect=name
  Name of new vector map to create
radius=value
  Radius of polygon's circumscribed circle
  default: none
segments=value
  Number of straight line segments bounding the polygon
  default: set to give perimeter point spacing of 0.02% of the width of the current region based on the radius given. The smallest number of segments that will be automatically used is six(6). Values down to 3 may be explicitly selected on the command line or in input lines (see below). A value of 3 results in an equilateral triangle, 4 a square, etc.

  ## DISCUSSION AND ADDITIONAL INPUT LINE PARAMETERS

  If input is from a keyboard, a prompt will be given for each input line. The input lines from the file or stdin should look like this:

        easting northing [label] [category desc]
                    or
        easting northing [#label] [category desc]

  The "#label" for is for center points piped from s.out.ascii, like this:

        s.out.ascii -d  sitefile | v.in.poly vect=newvect radius=500

  The polygon (area) label and category description are optional. "label" is an integer and the "category desc" is any text string. If the label value is missing, the label value used is one greater than the last and the description is "n-sided polygon," where n is the number of bounding segments. In this way a series of sequentially numbered polygons may be created by just giving the easting and northing center coordinates.

  Two optional command lines may be interspersed with the input lines containing the coordinate and optional label and category descriptions. These lines begin with ".S" or ".R". Note the restrictions on values of radius and segments parameters below.

       .S 500

  Changes the number of straight line segments which bound the polygon to a new value. With large values (greater than 20) the polygons will approximate circles. The minimum value of 3 will create an equilateral triangle. Very large values are allowed, but the resulting "circles" may have more definition than is needed and will take lots of storage space for the vector map.

       .R 100

  Changes the radius of the circle to a new value. Radius must be greater than 0.0; however, very small values may give meaningless circles and v.support may not be able to construct the topology if the points on the perimeter are too closely spaced.

  ## BUGS

  Circles in Lat-Long locations are not really round. Really large Lat-Long circles or polygons may look oddly misshappen when displayed.

  ## SEE ALSO

  v.to.rast can be used to convert the polygons to raster maps for masking, etc.

  ## AUTHOR

  Dr. James R. Hinthorne, GIS Laboratory, Central Washington University. April 1992.

  Last changed: $Date: 2002/01/25 05:45:35 $